> For the complete documentation index, see [llms.txt](https://manual.personr.co/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://manual.personr.co/api-documentation/entities.md).

# Entities

- [Check types and coverage](https://manual.personr.co/api-documentation/entities/check-types-and-coverage.md): When verifying an entity, you can perform a registry check and opt-in to automatically identify ownership, where available.
- [Search for a company](https://manual.personr.co/api-documentation/entities/search-for-a-company.md): Before creating an Entity, you can perform a lookup search to fill more details for a more accurate check
- [Creating an entity](https://manual.personr.co/api-documentation/entities/creating-an-entity.md): Let's create an entity, ready to be verified.
- [Generating a verification link](https://manual.personr.co/api-documentation/entities/generating-a-verification-link.md): Once you've created an entity, you can generate a hosted link for verification.
- [Uploading documents to an entity](https://manual.personr.co/api-documentation/entities/uploading-documents-to-an-entity.md): Instead of using a verification link, use this endpoint to upload documents directly via API.
- [Uploading encoded documents to an entity](https://manual.personr.co/api-documentation/entities/uploading-documents-to-an-entity/uploading-encoded-documents-to-an-entity.md): Instead of using a verification link, use this endpoint to upload documents directly via API.
- [Supported Documents and Types](https://manual.personr.co/api-documentation/entities/uploading-documents-to-an-entity/supported-documents-and-types.md): A list of supported documents, and their subtypes.
- [Linking a UBO to an entity](https://manual.personr.co/api-documentation/entities/linking-a-ubo-to-an-entity.md): Optionally, you can link existing applicants or entities to another entity as a UBO
- [Requesting to start the verification process](https://manual.personr.co/api-documentation/entities/requesting-to-start-the-verification-process.md): Once you've uploaded all required documents to an entity, you can request to start the verification.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://manual.personr.co/api-documentation/entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
